> ## Name

> cgGLSetMatrixParameter - set the value of a matrix parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     /* TYPE is float or double */

>     void cgGLSetMatrixParameter{fd}{rc}( CGparameter param,
>                                          const TYPE * matrix );

> ## Parameters

> param
>   The matrix parameter that will be set.
> matrix
>   An array of values used to set the matrix parameter. The array must be the number of rows times the number of columns in size.

> ## Return Values

> None.

> ## Description

> The cgGLSetMatrixParameter functions set the value of a matrix parameter.

> There are versions of the function that take either float or double values signified by f or d in the function name.

> There are versions of the function that assume the array of values are laid out in either row or column order signified by r or c in the function name respectively.

> The cgGLSetMatrixParameter functions may only be called with uniform parameters.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_POINTER_ERROR is generated if matrix is NULL.

> CG_INVALID_PARAMETER_ERROR is generated if the operation fails for any other reason.

> ## History

> The cgGLSetMatrixParameter functions were introduced in Cg 1.1.

> ## See Also

> cgGLGetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetParameter